EventDnsBase::clearSearch
EventDnsBase::countNameservers
EventDnsBase
PHP Manual

# EventDnsBase::__construct

Constructs EventDnsBase object

### Description

public EventDnsBase::__construct ( EventBase `$base` , bool `$initialize` )

Constructs EventDnsBase object.

### Parameters

`base`

  Event base.

`initialize`

  If the `initialize` argument is `TRUE`, it tries to configure the DNS base sensibly given your operating system’s default. Otherwise, it leaves the event DNS base empty, with no nameservers or options configured. In the latter case DNS base should be configured manually, e.g. with EventDnsBase::parseResolvConf .

### Return Values

Returns EventDnsBase object.